// Every time a new addressbook window is made abOverlayInit will be called
window.addEventListener('load', abOverlayInit, false);

function abOverlayInit() {
	menus = new Array('abResultsTreeContext', 'cardProperties');
	for (var i = 0; i < menus.length; ++i){
		if (document.getElementById(menus[i])){
			document.getElementById(menus[i]).addEventListener('popupshowing', itemsVisible, false);
		}
	}
	fritzboxdialStrBundle = srGetStrBundle('chrome://fritzboxdial/locale/fritzboxdial.properties');
}


// Hide and unhide phone numbers sub menu on contacts list

function itemsVisible() {

	var showPhones = false;
	var getNumber;
	
	// First, hide phone numbers sub menu.
	document.getElementById('FBD' + this.id).setAttribute('hidden', 'true');

	destins = new Array('workPhone', 'homePhone', 'faxNumber', 'pagerNumber', 'cellularNumber');
	for (var i = 0; i < destins.length; ++i){
		// Hide menuitems of phone numbers sub menu.
		document.getElementById('FBD' + destins[i]).setAttribute('hidden', 'true');
		// For each member of this array ckeck if abCard has an entry.
		getNumber = eval('GetSelectedCard().' + destins[i]);
		if (getNumber) {
			// If any entry exists, unhide menuitem.
			document.getElementById('FBD' + destins[i]).setAttribute('hidden', 'false');
			showPhones = true;
		}
	}
	if (showPhones) {
		document.getElementById('FBD' + this.id).setAttribute('hidden', 'false');
	}
}
